Package com.macrofocus.high_d.distributions

# Class AbstractDistributionsView<Component,Color,Row,Column,Value,Bin>

java.lang.Object
com.macrofocus.high_d.distributions.AbstractDistributionsView<Component,Color,Row,Column,Value,Bin>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `com.macrofocus.crossplatform.CPInteractiveComponent<Component>`, `DistributionsView<Component,Color,Row,Column,Value,Bin>`

Direct Known Subclasses:
  `JavaFXDistributionsView`

public abstract class AbstractDistributionsView<Component,Color,Row,Column,Value,Bin> extends Object implements DistributionsView<Component,Color,Row,Column,Value,Bin>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.distributions.DistributionsView

  `DistributionsView.Orientation, DistributionsView.PropertyType`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final MutableProperties<DistributionsView.PropertyType>`
  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractDistributionsView(com.macrofocus.igraphics.CPColorFactory<Color> factory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MutableProperty<Boolean>`
  `getAntialiasing()`
  `MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>>`
  `getColorTheme()`
  Returns the color theme to use.
  `com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin>`
  `getDistributionDimension(com.macrofocus.high_d.axis.AxisModel<Row,Column> axisModel)`
  `protected abstract DistributionsComponent`
  `getDistributionsComponent()`
  `MutableProperty<com.macrofocus.high_d.interaction.InteractionMode>`
  `getInteractionMode()`
  `DistributionsModel`
  `getModel()`
  Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
  `Property<DistributionsView.Orientation>`
  `getOrientation()`
  `MutableSingleSelection<AbstractMap.SimpleImmutableEntry<com.macrofocus.molap.subset.SingleBinningDimension<Row,Bin>,Bin>>`
  `getProbing()`
  `MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering>`
  `getRendering()`
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `Property<Boolean>`
  `getShowFiltered()`
  `MutableProperty<Boolean>`
  `getShowTiming()`
  Returns whether information about refresh rate should be displayed.
  `boolean`
  `isSelectionMode()`
  `protected abstract void`
  `refresh()`
  `protected void`
  `removeBinnedDimension(Column column)`
  `void`
  `setAntialiasing(MutableProperty<Boolean> antialiasing)`
  `void`
  `setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)`
  Sets the color theme to use.
  `void`
  `setInteractionMode(MutableProperty<com.macrofocus.high_d.interaction.InteractionMode> interactionMode)`
  `void`
  `setModel(DistributionsModel<Color,Row,Column,Value,Bin> model)`
  Sets the data model and registers with it for listener notifications from the new data model.
  `void`
  `setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)`
  `void`
  `setSelectionMode(boolean value)`
  `void`
  `setShowFiltered(MutableProperty<Boolean> showFiltered)`
  `void`
  `setShowTiming(MutableProperty<Boolean> showTiming)`
  Sets whether information about refresh rate should be displayed.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `getNativeComponent, setStyleClass`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPInteractiveComponent

  `addMouseListener, addMouseMotionListener, removeMouseListener, removeMouseMotionListener`

  ### Methods inherited from interface com.macrofocus.high_d.distributions.DistributionsView

  `getBins, getClosestBin, getClosestDistribution, getClosestRow, setLicenseModel`

- ## Field Details

  - ### properties

    protected final MutableProperties<DistributionsView.PropertyType> properties

- ## Constructor Details

  - ### AbstractDistributionsView

    public AbstractDistributionsView(com.macrofocus.igraphics.CPColorFactory<Color> factory)

- ## Method Details

  - ### isSelectionMode

    public boolean isSelectionMode()
    Specified by:
      `isSelectionMode` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### setModel

    public void setModel(DistributionsModel<Color,Row,Column,Value,Bin> model)
    Description copied from interface: `DistributionsView`
    Sets the data model and registers with it for listener notifications from the new data model.
    Specified by:
      `setModel` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`
    Parameters:
      `model` - the new data model
    See Also:
      - `DistributionsView.getModel()`

  - ### setSelectionMode

    public void setSelectionMode(boolean value)
    Specified by:
      `setSelectionMode` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### getProbing

    public MutableSingleSelection<AbstractMap.SimpleImmutableEntry<com.macrofocus.molap.subset.SingleBinningDimension<Row,Bin>,Bin>> getProbing()
    Specified by:
      `getProbing` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### getModel

    public DistributionsModel getModel()
    Returns the ScatterPlotModel that provides the data displayed by this ScatterPlotView.
    Specified by:
      `getModel` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`
    Returns:
      the ScatterPlotModel that provides the data displayed by this ScatterPlotView
    See Also:
      - `DistributionsView.setModel(com.macrofocus.high_d.distributions.DistributionsModel)`

  - ### refresh

    protected abstract void refresh()

  - ### getDistributionsComponent

    protected abstract DistributionsComponent getDistributionsComponent()

  - ### getOrientation

    public Property<DistributionsView.Orientation> getOrientation()
    Specified by:
      `getOrientation` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### getAntialiasing

    public MutableProperty<Boolean> getAntialiasing()
    Specified by:
      `getAntialiasing` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### getShowFiltered

    public Property<Boolean> getShowFiltered()
    Specified by:
      `getShowFiltered` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### getShowTiming

    public MutableProperty<Boolean> getShowTiming()
    Description copied from interface: `DistributionsView`
    Returns whether information about refresh rate should be displayed.
    Specified by:
      `getShowTiming` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`
    Returns:
      true to display refresh rate information, false otherwise

  - ### getColorTheme

    public MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> getColorTheme()
    Description copied from interface: `DistributionsView`
    Returns the color theme to use.
    Specified by:
      `getColorTheme` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`
    Returns:
      the color theme

  - ### getInteractionMode

    public MutableProperty<com.macrofocus.high_d.interaction.InteractionMode> getInteractionMode()
    Specified by:
      `getInteractionMode` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### setInteractionMode

    public void setInteractionMode(MutableProperty<com.macrofocus.high_d.interaction.InteractionMode> interactionMode)
    Specified by:
      `setInteractionMode` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### setColorTheme

    public void setColorTheme(MutableProperty<com.macrofocus.igraphics.colortheme.ColorTheme<Color>> colorTheme)
    Description copied from interface: `DistributionsView`
    Sets the color theme to use.
    Specified by:
      `setColorTheme` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`
    Parameters:
      `colorTheme` - the color theme to use

  - ### setShowFiltered

    public void setShowFiltered(MutableProperty<Boolean> showFiltered)
    Specified by:
      `setShowFiltered` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### setAntialiasing

    public void setAntialiasing(MutableProperty<Boolean> antialiasing)
    Specified by:
      `setAntialiasing` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### setShowTiming

    public void setShowTiming(MutableProperty<Boolean> showTiming)
    Description copied from interface: `DistributionsView`
    Sets whether information about refresh rate should be displayed.
    Specified by:
      `setShowTiming` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`
    Parameters:
      `showTiming` - true to display refresh rate information, false otherwise

  - ### getRendering

    public MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> getRendering()
    Specified by:
      `getRendering` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### setRendering

    public void setRendering(MutableProperty<com.macrofocus.crossplatform.CPCanvas.Rendering> rendering)
    Specified by:
      `setRendering` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### getDistributionDimension

    public com.macrofocus.molap.subset.DistributionDimension<Row,Value,Bin> getDistributionDimension(com.macrofocus.high_d.axis.AxisModel<Row,Column> axisModel)
    Specified by:
      `getDistributionDimension` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`

  - ### removeBinnedDimension

    protected void removeBinnedDimension(Column column)

  - ### getRubberBand

    public com.macrofocus.rubberband.RubberBand getRubberBand()
    Specified by:
      `getRubberBand` in interface `DistributionsView<Component,Color,Row,Column,Value,Bin>`